Holger's Java API

## com.antelmann.image
Class ExifUtils

    java.lang.Object
      com.antelmann.image.ExifUtils

    @ThirdParty(value="uses com.drew.imaging")
    public class ExifUtils

extends Object

see https://code.google.com/p/metadata-extractor/

Since:
  11.08.2009, 15:44:43
Author:
  holger

Constructor Summary
`ExifUtils()`

Method Summary
`static Properties` `readExif(File file)`
`static Properties` `readExif(InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExifUtils

    public ExifUtils()

Method Detail

### readExif

    public static Properties readExif(File file)
                               throws IOException,
                                      com.drew.imaging.jpeg.JpegProcessingException,
                                      com.drew.metadata.MetadataException

  Throws:
    `IOException`
    `com.drew.imaging.jpeg.JpegProcessingException`
    `com.drew.metadata.MetadataException`

### readExif

    public static Properties readExif(InputStream in)
                               throws IOException,
                                      com.drew.imaging.jpeg.JpegProcessingException,
                                      com.drew.metadata.MetadataException

  Throws:
    `IOException`
    `com.drew.imaging.jpeg.JpegProcessingException`
    `com.drew.metadata.MetadataException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads